beam-builds mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Apache Jenkins Server <jenk...@builds.apache.org>
Subject Build failed in Jenkins: beam_PostCommit_Website_Publish #7300
Date Sat, 30 Jan 2021 06:06:04 GMT
See <https://ci-beam.apache.org/job/beam_PostCommit_Website_Publish/7300/display/redirect?page=changes>

Changes:

[Kyle Weaver] [BEAM-11634] Give JobInvoker threads unique names.

[Kyle Weaver] [BEAM-10925] Add rule to replace Calc with BeamCalcRel for ZetaSQL UDFs.

[noreply] [BEAM-5214] Update java quickstart (#13833)


------------------------------------------
[...truncated 33.63 KB...]
Hit:2 http://security.debian.org/debian-security stretch/updates InRelease
Hit:3 http://deb.debian.org/debian stretch-updates InRelease
Hit:4 http://deb.debian.org/debian stretch Release
Hit:5 https://deb.nodesource.com/node_10.x stretch InRelease
Reading package lists...
+ apt-get install -y --no-install-recommends nodejs
Reading package lists...
Building dependency tree...
Reading state information...
The following additional packages will be installed:
  libpython2.7-minimal python-minimal python2.7-minimal
Suggested packages:
  binfmt-support
Recommended packages:
  libpython2.7-stdlib python python2.7
The following NEW packages will be installed:
  libpython2.7-minimal nodejs python-minimal python2.7-minimal
0 upgraded, 4 newly installed, 0 to remove and 0 not upgraded.
Need to get 17.7 MB of archives.
After this operation, 87.4 MB of additional disk space will be used.
Get:1 http://deb.debian.org/debian stretch/main amd64 python-minimal amd64 2.7.13-2 [40.5
kB]
Get:2 http://security.debian.org/debian-security stretch/updates/main amd64 libpython2.7-minimal
amd64 2.7.13-2+deb9u4 [390 kB]
Get:3 http://security.debian.org/debian-security stretch/updates/main amd64 python2.7-minimal
amd64 2.7.13-2+deb9u4 [1386 kB]
Get:4 https://deb.nodesource.com/node_10.x stretch/main amd64 nodejs amd64 10.23.2-1nodesource1
[15.9 MB]
debconf: delaying package configuration, since apt-utils is not installed
Fetched 17.7 MB in 0s (57.1 MB/s)
Selecting previously unselected package libpython2.7-minimal:amd64.
(Reading database ... 
(Reading database ... 5%(Reading database ... 10%(Reading database ... 15%(Reading database
... 20%(Reading database ... 25%(Reading database ... 30%(Reading database ... 35%(Reading
database ... 40%(Reading database ... 45%(Reading database ... 50%(Reading database ... 55%(Reading
database ... 60%(Reading database ... 65%(Reading database ... 70%(Reading database ... 75%
(Reading database ... 80%
(Reading database ... 85%
(Reading database ... 90%
(Reading database ... 95%
(Reading database ... 100%(Reading database ... 10945 files and directories currently installed.)
Preparing to unpack .../libpython2.7-minimal_2.7.13-2+deb9u4_amd64.deb ...
Unpacking libpython2.7-minimal:amd64 (2.7.13-2+deb9u4) ...
Selecting previously unselected package python2.7-minimal.
Preparing to unpack .../python2.7-minimal_2.7.13-2+deb9u4_amd64.deb ...
Unpacking python2.7-minimal (2.7.13-2+deb9u4) ...
Selecting previously unselected package python-minimal.
Preparing to unpack .../python-minimal_2.7.13-2_amd64.deb ...
Unpacking python-minimal (2.7.13-2) ...
Selecting previously unselected package nodejs.
Preparing to unpack .../nodejs_10.23.2-1nodesource1_amd64.deb ...
Unpacking nodejs (10.23.2-1nodesource1) ...
Setting up libpython2.7-minimal:amd64 (2.7.13-2+deb9u4) ...
Setting up python2.7-minimal (2.7.13-2+deb9u4) ...
Setting up python-minimal (2.7.13-2) ...
Setting up nodejs (10.23.2-1nodesource1) ...
+ apt-get autoremove -yqq --purge
+ apt-get clean
+ rm -rf /var/lib/apt/lists/deb.debian.org_debian_dists_stretch-updates_InRelease
/var/lib/apt/lists/deb.debian.org_debian_dists_stretch-updates_main_binary-amd64_Packages.lz4
/var/lib/apt/lists/deb.debian.org_debian_dists_stretch_Release /var/lib/apt/lists/deb.debian.org_debian_dists_stretch_Release.gpg
/var/lib/apt/lists/deb.debian.org_debian_dists_stretch_main_binary-amd64_Packages.lz4 /var/lib/apt/lists/deb.nodesource.com_node%5f10.x_dists_stretch_InRelease
/var/lib/apt/lists/deb.nodesource.com_node%5f10.x_dists_stretch_main_binary-amd64_Packages.lz4
/var/lib/apt/lists/lock /var/lib/apt/lists/partial /var/lib/apt/lists/security.debian.org_debian-security_dists_stretch_updates_InRelease
/var/lib/apt/lists/security.debian.org_debian-security_dists_stretch_updates_main_binary-amd64_Packages.lz4
Removing intermediate container 13ee2c8f4c96
 ---> b030c609156c
Step 6/8 : RUN curl -sS https://dl.yarnpkg.com/debian/pubkey.gpg | apt-key add -     &&
echo "deb https://dl.yarnpkg.com/debian/ stable main" | tee /etc/apt/sources.list.d/yarn.list
    && apt-get update     && apt-get install -y --no-install-recommends yarn
    && apt-get autoremove -yqq --purge     && apt-get clean     &&
rm -rf /var/lib/apt/lists/*
 ---> Running in 9a323bc3e811
+ curl -sS https://dl.yarnpkg.com/debian/pubkey.gpg
+ apt-key add -
Warning: apt-key output should not be parsed (stdout is not a terminal)
OK
+ tee /etc/apt/sources.list.d/yarn.list
+ echo 'deb https://dl.yarnpkg.com/debian/ stable main'
deb https://dl.yarnpkg.com/debian/ stable main
+ apt-get update
Ign:1 http://deb.debian.org/debian stretch InRelease
Get:2 http://deb.debian.org/debian stretch-updates InRelease [93.6 kB]
Get:3 http://security.debian.org/debian-security stretch/updates InRelease [53.0 kB]
Get:4 http://deb.debian.org/debian stretch Release [118 kB]
Get:5 http://deb.debian.org/debian stretch Release.gpg [2410 B]
Get:6 https://deb.nodesource.com/node_10.x stretch InRelease [4585 B]
Get:7 https://dl.yarnpkg.com/debian stable InRelease [17.1 kB]
Get:8 http://deb.debian.org/debian stretch-updates/main amd64 Packages [2596 B]
Get:9 http://security.debian.org/debian-security stretch/updates/main amd64 Packages [650
kB]
Get:10 http://deb.debian.org/debian stretch/main amd64 Packages [7080 kB]
Get:11 https://deb.nodesource.com/node_10.x stretch/main amd64 Packages [766 B]
Get:12 https://dl.yarnpkg.com/debian stable/main all Packages [10.1 kB]
Get:13 https://dl.yarnpkg.com/debian stable/main amd64 Packages [10.1 kB]
Fetched 8041 kB in 1s (5927 kB/s)
Reading package lists...
+ apt-get install -y --no-install-recommends yarn
Reading package lists...
Building dependency tree...
Reading state information...
The following NEW packages will be installed:
  yarn
0 upgraded, 1 newly installed, 0 to remove and 0 not upgraded.
Need to get 891 kB of archives.
After this operation, 5407 kB of additional disk space will be used.
Get:1 https://dl.yarnpkg.com/debian stable/main amd64 yarn all 1.22.5-1 [891 kB]
debconf: delaying package configuration, since apt-utils is not installed
Fetched 891 kB in 0s (5326 kB/s)
Selecting previously unselected package yarn.
(Reading database ... 
(Reading database ... 5%(Reading database ... 10%(Reading database ... 15%(Reading database
... 20%(Reading database ... 25%(Reading database ... 30%(Reading database ... 35%(Reading
database ... 40%(Reading database ... 45%(Reading database ... 50%(Reading database ... 55%(Reading
database ... 60%(Reading database ... 65%(Reading database ... 70%(Reading database ... 75%
(Reading database ... 80%
(Reading database ... 85%
(Reading database ... 90%
(Reading database ... 95%
(Reading database ... 100%(Reading database ... 15938 files and directories currently installed.)
Preparing to unpack .../archives/yarn_1.22.5-1_all.deb ...
Unpacking yarn (1.22.5-1) ...
Setting up yarn (1.22.5-1) ...
+ apt-get autoremove -yqq --purge
+ apt-get clean
+ rm -rf /var/lib/apt/lists/deb.debian.org_debian_dists_stretch-updates_InRelease
/var/lib/apt/lists/deb.debian.org_debian_dists_stretch-updates_main_binary-amd64_Packages.lz4
/var/lib/apt/lists/deb.debian.org_debian_dists_stretch_Release /var/lib/apt/lists/deb.debian.org_debian_dists_stretch_Release.gpg
/var/lib/apt/lists/deb.debian.org_debian_dists_stretch_main_binary-amd64_Packages.lz4 /var/lib/apt/lists/deb.nodesource.com_node%5f10.x_dists_stretch_InRelease
/var/lib/apt/lists/deb.nodesource.com_node%5f10.x_dists_stretch_main_binary-amd64_Packages.lz4
/var/lib/apt/lists/dl.yarnpkg.com_debian_dists_stable_InRelease /var/lib/apt/lists/dl.yarnpkg.com_debian_dists_stable_main_binary-all_Packages.lz4
/var/lib/apt/lists/dl.yarnpkg.com_debian_dists_stable_main_binary-amd64_Packages.lz4 /var/lib/apt/lists/lock
/var/lib/apt/lists/partial /var/lib/apt/lists/security.debian.org_debian-security_dists_stretch_updates_InRelease
/var/lib/apt/lists/security.debian.org_debian-security_dists_stretch_updates_main_binary-amd64_Packages.lz4
Removing intermediate container 9a323bc3e811
 ---> 406ef5565618
Step 7/8 : RUN HUGOHOME="$(mktemp -d)"     && export HUGOHOME     && curl
-sL https://github.com/gohugoio/hugo/releases/download/v0.68.3/hugo_extended_0.68.3_Linux-64bit.tar.gz
> "${HUGOHOME}/hugo.tar.gz"     && tar -xzvf "${HUGOHOME}/hugo.tar.gz" hugo   
 && mv hugo /usr/local/bin/hugo     && chmod +x /usr/local/bin/hugo     &&
rm -r "${HUGOHOME}"
 ---> Running in 1b4dd3cbc17a
++ mktemp -d
+ HUGOHOME=/tmp/tmp.2yH0VZaEqn
+ export HUGOHOME
+ curl -sL https://github.com/gohugoio/hugo/releases/download/v0.68.3/hugo_extended_0.68.3_Linux-64bit.tar.gz
+ tar -xzvf /tmp/tmp.2yH0VZaEqn/hugo.tar.gz hugo
hugo
+ mv hugo /usr/local/bin/hugo
+ chmod +x /usr/local/bin/hugo
+ rm -r /tmp/tmp.2yH0VZaEqn
Removing intermediate container 1b4dd3cbc17a
 ---> 843c01080530
Step 8/8 : WORKDIR /opt/
 ---> Running in 4376e7095614
Removing intermediate container 4376e7095614
 ---> f5d0913df2c0
Successfully built f5d0913df2c0
Successfully tagged beam-website:latest

> Task :website:createDockerContainer

> Task :website:startDockerContainer
4aa66f4a0df43733d6473208edfe69e524ef7b132d33aeb8f273262b3cdf7acd

> Task :website:setupDockerContainer

> Task :website:installDependencies
yarn install v1.22.5
[1/4] Resolving packages...
[2/4] Fetching packages...
info fsevents@2.1.3: The platform "linux" is incompatible with this module.
info "fsevents@2.1.3" is an optional dependency and failed compatibility check. Excluding
it from installation.
[3/4] Linking dependencies...
[4/4] Building fresh packages...
Done in 2.40s.

> Task :website:initGitSubmodules
Submodule '.github/actions/cancel-workflow-runs' (https://github.com/potiuk/cancel-workflow-runs)
registered for path '.github/actions/cancel-workflow-runs'
Submodule '.github/actions/github-push-action' (https://github.com/ad-m/github-push-action)
registered for path '.github/actions/github-push-action'
Submodule '.github/actions/gradle-command-action' (https://github.com/eskatos/gradle-command-action)
registered for path '.github/actions/gradle-command-action'
Submodule 'website/www/site/themes/docsy' (https://github.com/google/docsy.git) registered
for path 'website/www/site/themes/docsy'
Cloning into '/opt/.github/actions/cancel-workflow-runs'...
Cloning into '/opt/.github/actions/github-push-action'...
Cloning into '/opt/.github/actions/gradle-command-action'...
Cloning into '/opt/website/www/site/themes/docsy'...
Submodule path '.github/actions/cancel-workflow-runs': checked out '953e057dc81d3458935a18d1184c386b0f6b5738'
Submodule path '.github/actions/github-push-action': checked out '057a6ba835d986bfe495dd476a6c4db1d5f9503c'
Submodule path '.github/actions/gradle-command-action': checked out '90ccf054e6b9905f30f98c938bce4c6acd323b6b'
Submodule path 'website/www/site/themes/docsy': checked out '8b786354829536454688df1e63b9cad792f68562'
Submodule 'assets/vendor/Font-Awesome' (https://github.com/FortAwesome/Font-Awesome.git) registered
for path 'website/www/site/themes/docsy/assets/vendor/Font-Awesome'
Submodule 'assets/vendor/bootstrap' (https://github.com/twbs/bootstrap.git) registered for
path 'website/www/site/themes/docsy/assets/vendor/bootstrap'
Cloning into '/opt/website/www/site/themes/docsy/assets/vendor/Font-Awesome'...
Cloning into '/opt/website/www/site/themes/docsy/assets/vendor/bootstrap'...
Submodule path 'website/www/site/themes/docsy/assets/vendor/Font-Awesome': checked out '538a5bc4cf7989821d052e3ff919e2bead07021c'
Submodule path 'website/www/site/themes/docsy/assets/vendor/bootstrap': checked out '3b558734382ce58b51e5fc676453bfd53bba9201'

> Task :website:buildCodeSamples
yarn run v1.22.5
$ ./build_code_samples.sh
Working directory: /opt/website/www
Dist directory: ./site/code_samples
mkdir: created directory './site/code_samples'
Done in 0.58s.

> Task :website:buildApacheWebsite
yarn run v1.22.5
$ cross-env HUGO_ENV=production hugo --minify -d ../dist -s site -v -d /opt/build/website/generated-apache-content
--config /opt/website/www/site/config.toml
INFO 2021/01/30 06:05:11 Using config file: 
Building sites … INFO 2021/01/30 06:05:11 syncing static files to /opt/build/website/generated-apache-content/
INFO 2021/01/30 06:05:17 postcss: use config file /opt/website/www/site/themes/docsy/postcss.config.js

  Replace Autoprefixer browsers option to Browserslist config.
  Use browserslist key in package.json or .browserslistrc file.

  Using browsers option can cause errors. Browserslist config 
  can be used for Babel, Autoprefixer, postcss-normalize and other tools.

  If you really need to use option, rename it to overrideBrowserslist.

  Learn more at:
  https://github.com/browserslist/browserslist#readme
  https://twitter.com/browserslist


Browserslist: caniuse-lite is outdated. Please run:
npx browserslist@latest --update-db

                   | EN   
-------------------+------
  Pages            | 317  
  Paginator pages  |   0  
  Non-page files   |   0  
  Static files     | 245  
  Processed images |   0  
  Aliases          | 123  
  Sitemaps         |   1  
  Cleaned          |   0  

Total in 15027 ms
Done in 15.20s.

> Task :website:stopAndRemoveDockerContainer
4aa66f4a0df43733d6473208edfe69e524ef7b132d33aeb8f273262b3cdf7acd

> Task :website:commitWebsite
git fetch --force origin +asf-site:asf-site
>From https://github.com/apache/beam
 * [new branch]            asf-site   -> asf-site

> Task :website:commitWebsite FAILED

FAILURE: Build failed with an exception.

* Where:
Build file '<https://ci-beam.apache.org/job/beam_PostCommit_Website_Publish/ws/src/website/build.gradle'>
line: 275

* What went wrong:
Execution failed for task ':website:commitWebsite'.
> org.eclipse.jgit.api.errors.CheckoutConflictException: Checkout conflict with files:

  website/www/site/static/images/mascot/beam_mascot.ai
  website/www/site/static/images/mascot/big_data.ai
  website/www/site/static/images/mascot/learning_independently.ai
  website/www/site/static/images/mascot/model_sheet.ai

* Try:
Run with --stacktrace option to get the stack trace. Run with --info or --debug option to
get more log output. Run with --scan to get full insights.

* Get more help at https://help.gradle.org

Deprecated Gradle features were used in this build, making it incompatible with Gradle 7.0.
Use '--warning-mode all' to show the individual deprecation warnings.
See https://docs.gradle.org/6.8/userguide/command_line_interface.html#sec:command_line_warnings

BUILD FAILED in 4m 22s
12 actionable tasks: 10 executed, 2 up-to-date

Publishing build scan...
https://gradle.com/s/s3s76vdwnyyfi

Build step 'Invoke Gradle script' changed build result to FAILURE
Build step 'Invoke Gradle script' marked build as failure

---------------------------------------------------------------------
To unsubscribe, e-mail: builds-unsubscribe@beam.apache.org
For additional commands, e-mail: builds-help@beam.apache.org


Mime
View raw message